This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1391992 - Unify flavor/image keys/properties [NEEDINFO]
Unify flavor/image keys/properties
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
9.0 (Mitaka)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 11.0 (Ocata)
Assigned To: RHOS Documentation Team
RHOS Documentation Team
Don Domingo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-04 10:39 EDT by Marko Myllynen
Modified: 2017-02-01 09:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo? (ddomingo)


Attachments (Terms of Use)

  None (edit)
Description Marko Myllynen 2016-11-04 10:39:04 EDT
Description of problem:
For example the following image properties that can be set:

hw_qemu_guest_agent
hw_vif_model
hw_vif_multiqueue_enabled
hw_watchdog_action

But only the following corresponding flavor key has effect:

hw:watchdog_action

It's unclear is there any reason for this distinction.

It would be nice of this distinction could be either documented properly (e.g., mention whether a key or a property can be used only with images or flavors or with both) or implement support for the currently unrecognised flavor keys which already are working as image properties.

There are also some properties which do not follow the above naming convention, like os_require_quiesce (but see bug 1385748), it would be nice to be able to set these as well on flavor basis.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.